Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class BookIcon

    java.lang.Object
      org.crosswire.bibledesktop.book.BookIcon

    public class BookIcon

extends Object

Generates the appropriate icon for a book.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private static Icon` | `ICON_BIBLE` The small version icon
`private static Icon` | `ICON_COMNT` The small version icon
`private static Icon` | `ICON_DICT` The small version icon
`private static Icon` | `ICON_GLOSS` The small version icon
`private static Icon` | `ICON_LOCKED` An overlay icon
`private static Icon` | `ICON_OTHER` The small version icon
`private static Icon` | `ICON_QUESTIONABLE` The small version icon
`private static Icon` | `ICON_READ` The small version icon
`private static Icon` | `ICON_UNSUPPORTED` An overlay icon

Constructor Summary
`private` | `BookIcon()` Static class

Method Summary
`static Icon` | `getIcon(Book book)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ICON_BIBLE

    private static final Icon ICON_BIBLE

  The small version icon

### ICON_COMNT

    private static final Icon ICON_COMNT

  The small version icon

### ICON_DICT

    private static final Icon ICON_DICT

  The small version icon

### ICON_READ

    private static final Icon ICON_READ

  The small version icon

### ICON_GLOSS

    private static final Icon ICON_GLOSS

  The small version icon

### ICON_OTHER

    private static final Icon ICON_OTHER

  The small version icon

### ICON_QUESTIONABLE

    private static final Icon ICON_QUESTIONABLE

  The small version icon

### ICON_LOCKED

    private static final Icon ICON_LOCKED

  An overlay icon

### ICON_UNSUPPORTED

    private static final Icon ICON_UNSUPPORTED

  An overlay icon

Constructor Detail

### BookIcon

    private BookIcon()

  Static class

Method Detail

### getIcon

    public static Icon getIcon(Book book)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD